[gutsy] no sound: Failed to construct test pipeline in sound recording

Bug #131711 reported by Ross Peoples on 2007-08-11
64
Affects Status Importance Assigned to Milestone
GStreamer
Unknown
Critical
Baltix
Undecided
Unassigned
Ubuntu
Low
Unassigned

Bug Description

After formatting my Feisty installation to install the Gusty Tribe 4, sound no longer works on my machine. My sound card is detected, however, the "wave" device itself does not show up in the mixer or the Sound preferences window. I'm using an ASUS P5WD2, which is an Intel 82801G (ICH7 Family) AC'97 Audio Controller. I tried the steps defined in SoundTroubleShooting (https://help.ubuntu.com/community/SoundTroubleshooting), which has you purge the linux-sound-base and alsa, then reinstall. This has not worked for me. Pressing the Test button in Sound Preferences brings up this message:

audiotestsrc wave=sine freq=512 ! audioconvert ! audioresample ! gconfaudiosink: Internal GStreamer error: state change failed. Please file a bug at http://bugzilla.gnome.org/enter_bug.cgi?product=GStreamer.

At first, this seemed to be inline with Bug #129511, but that turned out to be user error. The only applications I have installed besides those provided with the standard desktop install is XGL (with proprietary ATI drivers enabled) to run Compiz Fusion, but I don't remember hearing any sound before installing XGL, so I don't XGL is the issue. I did run gconf-editor once to put icons on my desktop and I noticed a few errors in the terminal window that said something about "esd not found".

I don't know if this is helpful, but the is the output of "aplay -l":
**** List of PLAYBACK Hardware Devices ****
card 2: Intel [HDA Intel], device 0: ALC882 Analog [ALC882 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 2: Intel [HDA Intel], device 1: ALC882 Digital [ALC882 Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

Ross Peoples (deejross) wrote :

After 4 hard reboots, the sound works all the sudden, but doing the capturing test produces this error:

Failed to construct test pipeline for 'gconfaudiosrc ! audioconvert ! audioresample ! gconfaudiosink profile=chat'

Changed in gstreamer:
status: Unknown → New
Changed in gstreamer:
status: New → Incomplete
Burt (albertus-wilson) wrote :

I can confirm this on my Intel Desktop board D946GZIS for recording (http://www.intel.com/products/motherboard/D946GZIS/index.htm)

My sound works fine but no recording. Testing the sound capture in the Sound Preferences produces the error message:

"Failed to construct test pipeline for 'gconfaudiosrc ! audioconvert ! audioresample ! gconfaudiosink profile=chat'"

This is for Gutsy Tribe 4

Ross Peoples (deejross) wrote :

As mentioned in the upstream bug report, the sound problem is intermittent. Mostly, it doesn't work. But even when I do get sound, I cannot capture and get the same message mentioned by Burt.

Finally fixed my problem. Every time I launched a gnome application from the terminal, I would always see something about esd not being found. So, the little light bulb came on in my head and I installed the esound package. After a quick reboot, magically the sounds works and I have my PCM device

The cause of esd not being installed? Well, I actually installed Kubuntu first to see if I would like the new KDE. I ended up liking Gnome more, so I installed the ubuntu-desktop package. So for whatever reason, esound is not in the list of dependencies for ubuntu-desktop.

Changed in gstreamer:
status: Incomplete → Fix Released
Changed in gstreamer:
status: Fix Released → New

Well, I have had my machine running for a week now and after rebooting, I am
having the same problem, only this time, esd is installed. I cannot get audio
to play at all in Ubuntu. Using RhythmBox, I have to manually set the output
device, and it will only play one song before it gives me an error about not
finding the sound device.

t should also be noted that I have TV cards in my machine, and one of them
gets assigned to dmix:0, my actual sound card gets dmix:1, and the other TV
capture card gets dmix:2. So I'm wondering if maybe this problem is because my
sound card isn't getting assigned as the first dmix deice.

Adam Petaccia (mighmos) wrote :

I solved this problem by installing puslse-audio-esound-compat. This should be installed by default if half of gnome still has esound hardcoded in.

bradley (bradley-benninger) wrote :

i am using tribe 5 on a thinkpad t61 (centrino pro chipset) and i am having the same problem as burt (above) i can play sound (music movies etc) but i cannot record anything.

i can hear sound coming through the mic in my headphones but it doesn't register with the sound recorder, volume monitor or (most importantly for me) skype.

testing the sound in sound prefs produces the same warning as in burt's post.

bradley (bradley-benninger) wrote :

...and if someone else could confirm or refute the installing of: "puslse-audio-esound-compat" i would appreciate it. when i try to install it it wants to install and uninstall a bunch of stuff.

thanks

I have a laptop where I've installed Ubuntu Gutsy Tribe 5. Sound works (Although I don't hear the splash screen sound when the desktop is loading).

As soon as I connect to a NoMachine session sound on the desktop breaks. and won't resume.

I plan on alerting NoMachine of this as well. I am tempted to run the pulse audio daemon. The LTSP project has used pulse audio within Ubuntu to great success with the thin client devices.

I was shocked that pulseaudio wasn't installed by default within ubuntu-desktop. It offers low latency, easy trans coding of varying sample rates and emulates OSS, ALSA, ESD. I guess the hangup must be power/load consumption.

Confirmed in Tribe 5, upgraded from Feisty. This is on a Dell XPS M1210

I get no sound from hda-intel, and no sound from external USB device (Behringer U-Control UCA202)

Both worked perfectly in Feisty.

The error given when testing in Sound Preferences is

"audiotestsrc wave=sine freq=512 ! audioconvert ! audioresample ! gconfaudiosink: Internal GStreamer error: state change failed. Please file a bug at http://bugzilla.gnome.org/enter_bug.cgi?product=GStreamer."

Burt (albertus-wilson) wrote :

I tried to install pulseaudio-esound-compat as recommended by Bradly. It removed the esound and after installation it is still not working. What a pain.

440 (scuvilier) wrote :

Using Gutsy Tribe 5 on a Dell Inspiron 6000, sound is Intel ICH6 with STAC9752,53

I was using and recorded guitar tracks with Audacity on Sept 6th through the mic jack.

Today it won't record and it says,
Error while opening sound device. Please check the input device settings and the project sample rate.

In preferences -> sound it says
Failed to construct test pipeline for 'gconfaudiosrc ! audioconvert ! audioresample ! gconfaudiosink profile=chat

hope this helps

arthit (arthit) wrote :

Found same problem in Sony VAIO PCG-V505CP
when upgrading from 7.06 to somewhere around **Tribe 4** and beyond
(using **Update Manager** everyday, until 14 September)

So today I decided to make fresh install from 7.10 **Tribe 5 Live CD** -- and the sound COME BACK.

from
http://support.vaio.sony.co.uk/specifications/specifications.asp?site=voe_en_GB_cons&c=0&s=PCG-V505&m=1416
Sony VAIO PCG-V505CP uses Sound Chip:

" Yamaha YMF753-S 16-bit CD-quality stereo sound Microsoft Sound System, Hardware MIDI "

JosephWoodbridge (notigg) wrote :

My sound initially worked with a fresh Tribe five install but some update later it stopped. I get this:

confaudiosrc ! audioconvert ! audioresample ! gconfaudiosink profile=chat: Internal GStreamer error: state change failed.

amanhecer (amanhecer) wrote :

Same problem here.

Had a working Feisty install on a Dell Inspiron 6000, upgraded to Gusty == No sound

I have tried installing pulseaudio-esound-compat but it did not fix the issue.

When I run the test in Preferences -> Sound I hear no sound and get no error regardless of which device I select.
NB. I dont get the error in the subject.

Device options available are : Autodetect, Intel ICH6, Intel ICH6-IEC958, ALSA, ESD, OSS.

My sound works fine when booting to other os's.

config details as follows.

Linux kura 2.6.22-11-generic #1 SMP Mon Sep 17 03:45:58 GMT 2007 i686 GNU/Linux

$ lspci |grep -i audio

00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller (rev 03)

$ dpkg -l |grep -i sound

ii esound 0.2.38-0ubuntu3 Enlightened Sound Daemon - Support binaries

ii esound-common 0.2.38-0ubuntu3 Enlightened Sound Daemon - Common files

ii libarts1c2a 1.5.7-1ubuntu3 aRts sound system core components

ii libartsc0 1.5.7-1ubuntu3 aRts sound system C support library

ii libasound2 1.0.14-1ubuntu6 ALSA library

ii libasound2-plugins 1.0.14-1ubuntu3 ALSA library additional plugins

ii libesd-alsa0 0.2.38-0ubuntu3 Enlightened Sound Daemon (ALSA) - Shared libraries

ii libmikmod2 3.1.11-a-6ubuntu3 A portable sound library

ii libsoundtouch1c2 1.3.0-2.1 sound stretching library

ii linux-sound-base 1.0.14-1ubuntu1 base package for ALSA and OSS sound systems

ii pulseaudio 0.9.6-1ubuntu2 PulseAudio sound server

ii pulseaudio-module-hal 0.9.6-1ubuntu2 HAL device detection module for PulseAudio sound serve

ii pulseaudio-module-x11 0.9.6-1ubuntu2 X11 module for PulseAudio sound server

ii sound-juicer 2.20.0-1ubuntu2 GNOME 2 CD Ripper

ii sox 13.0.0-1build1 Swiss army knife of sound processing

ii ubuntu-sounds 0.6 Ubuntu's GNOME audio theme

ii vlc-plugin-esd 0.8.6.release.c-0ubuntu3 Esound audio output plugin for VLC

Stéphane Maniaci (stephh) wrote :

Same problem here.

I am running Gutsy Tribe 5 since two weeks, and sound worked perfectly on my Asus A8V-VM motherboard until the recent updates this morning. I remember there was kernel stuff inside, so I bet that's the problem source.

Nemes Ioan Sorin (nemes-sorin) wrote :

Same problems here

Gutsy up to date

Everything OK
after some upgrades () to linux kernel -> Internal GStreamer error: state change failed. Please file a bug at http://bugzilla.gnome.org/enter_bug.cgi?product=GStreamer.

Dandy (dandydagenius) wrote :

same here with Gutsy 5

Łukasz Halman (lukasz-halman) wrote :

Same happens here. Everything worked fined in Feisty, in Gutsy doesn't. My notebook is MSI S260 with ALC655 sound codec.

Santiago Urueña (suruena) wrote :

Me too. My laptop has 3 sound devices: Conexant CX8811 (Alsa mixer), HDA Intel (Alsa mixer), and CX88 (OSS Mixer)

Tom Preuss (tompreuss) wrote :

Same for me. Fresh Gutsy 5 install.

Stéphane Maniaci (stephh) wrote :

Solved for me ! I was using a Gusty 32 bits on my Athlon 3000+ 64 bits (Asus A8V-VM), and recently we had some kernels updates so Grub was booting on a 2.6.22.xxx i386 (!) kernel. Booting the 2.6.22xxx Generic kernel, sound works again. To prevent this, I finally downloaded the 25th Daily Build of Gusty x64 and everything works fine.

Jon Leighton (jonleighton) wrote :

Same problem for me in Gutsy Beta.

$ aplay -l
aplay: device_list:204: no soundcards found...

$ lspci -v
...
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
        Subsystem: Dell Unknown device 0228
        Flags: fast devsel, IRQ 20
        Memory at febfc000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>
...

Any work around would be greatly appreciated.

Jon Leighton (jonleighton) wrote :

I think my bug is #131133 actually, which I've managed to work around: https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/131133/comments/73

Omegamormegil (omegamormegil) wrote :

This guy filed a similar report, with what might be a workaround. https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/147298/

It seems to have gotten sound capture in Sound Recorder working for me while this is running. I had to apt-get install gstreamer-tools and execute this in a terminal: "gst-launch gconfaudiosrc ! audioconvert ! audioresample ! gconfaudiosink profile=chat"

Madmoose (desaad) wrote :

Both my computers are getting the:

Failed to construct test pipeline for 'gconfaudiosrc ! audioconvert ! audioresample ! gconfaudiosink profile=chat'

Is there a fix yet, if so did I miss it?

Thanks

JosephWoodbridge (notigg) wrote :

I have a sound blaster live card as well as onboard sound. Sound is working but recording is not with either card... i get the message Failed to construct test pipeline for 'gconfaudiosrc ! audioconvert ! audioresample ! gconfaudiosink profile=chat

LikeItClear (like.it.clear) wrote :

I have already described my problem as bug 114233. However, it got worse now: I cannot even use OSS anymore. The mentioned work-around with starting the pipeline manually does not work for me (or I do not understand it correctly.

same as above described here, with Gutsy as Beta now and the latest kernel from a couple of hours ago:
2.6.22-14-generic.

Skype is unusable for now for me. :(

Hope this will get fixed soon.

same here! Everything was working fine with feisty but not anymore with gutsy! I cannot not confiugure the micro witho gnome and naturally the micro is not working with skype or wengophone (but for this one I don't have sound too).

Madmoose (desaad) wrote :

Every other boot up on both my computers sound will stop working, and I get

audiotestsrc wave=sine freq=512 ! audioconvert ! audioresample ! gconfaudiosink: Internal GStreamer error: state change failed. Please file a bug at http://bugzilla.gnome.org/enter_bug.cgi?product=GStreamer.

This is after all updates as off Oct 16. Sometimes all that is needed is a soft-boot, sometimes a hard-boot, and sometimes I just go without sound for a day.

Hi,

My micro is working again.
I have found out, that after the upgrade from feisty to gutsy, all capture channels under gnome-volume-control --> edit->preferences were disabled. I have never thought about that, assuming all preferences would be kept during the upgrade.

But, whatever, I enabled the capture channels and now everything is working fine.

BUT, I'm still getting this annoying message, see my screenshot 2 posts above, when I make the sound capture test, weird thing.

Pender (kafgamer) wrote :

I'm using a generic USB headset I bought at RadioShack (which actually has an amazingly good microphone) that worked with Feisty.

Before upgrade: All options in the sound panel were set to USB audio. Default mixer tracks set to device C-Media USB Headphone Set (Alsa mixer). Microphone, Microphone Capture, and Speaker selected. When I hit test on all the sound playbacks, I hear audio. When I hit test on sound capture, I can hear my voice in the headset. Headset works fine in Sound Recorder.

After upgrade: All options in the sound panel were set to USB audio. Default mixer tracks set to device C-Media USB Headphone Set (Alsa mixer). Microphone, Microphone Capture, and Speaker selected. When I hit test on all the sound playbacks, I hear audio. When I hit test on sound capture, I can hear my voice in the headset, but after a few seconds, I message pops up saying:

"Failed to construct test pipeline for 'gconfaudiosrc ! audioconvert ! audioresample ! gconfaudiosink profile=chat'"

If I attempt to run Sound Recorder, I only get a pop up message saying:

"Your audio capture settings are invalid. Please correct them in the Multimedia settings."

I tried messing with the volume control preferences as suggested by satkata, but this did nothing.

Minor Detail: The headset has a two button volume control that in Feisty, would adjust system volume. In gutsy, the volume control graphic that pops up will show the speaker at zero volume if you hit the plus button (it wont go up further), and it will show the speaker muted if you hit the minus button. The weird part is that neither button effects system volume at all.

Simos Xenitellis  (simosx) wrote :

It appears that the error message

Failed to construct test pipeline for 'gconfaudiosrc ! audioconvert ! audioresample ! gconfaudiosink profile=chat'

(when testing the sound capture in GNOME/Ubuntu) is bogus.
I managed to get sound working (playback and recording) and I still get the above gstreamer error.
Actually, when I click to test the sound capture, sound capture actually works even when the above error message appears.

I just turned ESD off in the system > preferences >sound - sounds tab
Then turned everything on in Edit > preferences of "Volume Control: HDA Intel ALSA Mixer", enable the Capture fader mute and toggle from capture on the recording tab
Fired up JACK and voila, I could record my vocals from the pcm-capture, through a JACK Rack reverb an back out the pcm-playback. Sounds awesome!

    - Dr Funn -

Hello,

when I start gnome-sound-properties and test sound recording it always throws
"Failed to construct test pipeline for 'gconfaudiosrc ! audioconvert ! audioresample ! gconfaudiosink profile=chat'"
even though I can hear the recorded sound...

By the way, by default I couldn't hear anything when recordet (even with ekiga test)
but as I played with "Alsa mixer" (gamix), at some point I triggered sth, whitch made it work - mystycs...

Pedro Gouveia (pbodymind) wrote :

This only happened when i've installed the tv card... :(

Pedro Gouveia (pbodymind) wrote :

in amsn i get the error:

[18:23:44] An error occured when trying to record the sound : Could not open default for read.

Toby (mail-mailmeonline) wrote :

Same message with me ("Failed to construct test pipeline for 'gconfaudiosrc ! audioconvert ! audioresample ! gconfaudiosink profile=chat'"), recording-sound works better after formating and reinstall , but quality (Alsa) is very poor in my Gutsy-Gnome. Have installed vmware on it: there (with windows XP) the sound recording has highest quality in speech-to-text and skype-programs.
In Gutsy the sound produces heavy disturbing sounds (called knistern in german; bit like snoring).

I'm having the same problem also , i was able to record on feisty using audacity but in gutsy 7.10 i can't record anything
also i cant hear the logout sound.
I hope that will be fixed soon.

Sabaki (crbell) wrote :
Download full text (4.8 KiB)

I'm having this problem also on Ubuntu64 'gutsy'. I have PulseAudio-0.9.6-1ubuntu-2 installed and configured. I've had one audio problem after another with Ubuntu.

I installed PulseAudio originally to solve a problem I was having getting flash audio to work in firefox, and PulseAudio solved that problem and has been working fairly smoothly except I can't seem to record audio.

In Sound Preferences > Devices I have

Sound Events
  Sound Playback | PulseAudio Sound Server | Test *** works OK

Music and Movies
  Sound Playback | PulseAudio Sound Server | Test *** works OK

Audio Conferencing
  Sound Playback | PulseAudio Sound Server | Test *** works OK
  Sound Capture | PulseAudio Sound Server | Test *** Pops up error message:

"Failed to construct test pipeline for 'gconfaudiosrc ! audioconvert ! audioresample ! gconfaudiosink profile=chat'"

And I can't seem to record anything. Microphone, etc. is un-muted.

I'm running the rt kernel 2.6.22-14-rt

lspci -v
02:01.0 Multimedia audio controller: Ensoniq ES1370 [AudioPCI] (rev 01)
        Subsystem: Unknown device 4942:4c4c
        Flags: bus master, slow devsel, latency 64, IRQ 21
        I/O ports at df00 [size=64]

both ~/.asoundrc and /etc/asound.conf have:

----------------------
# Part I directly from ALSA Dmix Wiki

pcm.crbell { # crbell is my name, you can use your name, just make sure you use it below too
    type dmix
    ipc_key 1024
    slave {
        pcm "hw:0,0"
        period_time 0
        period_size 1024
        buffer_size 8192
       #format "S32_LE"
       #periods 128
        rate 44100
    }
}

pcm.dsp0 {
    type plug
    slave.pcm "crbell"
}

# This following device can fool some applications into using pulseaudio
pcm.dsp1 {
    type plug
    slave.pcm "pulse"
}

ctl.mixer0 {
    type hw
    card 0
}

# Part II directly from Pulseaudio Wiki

pcm.pulse {
    type pulse
}

ctl.pulse {
    type pulse
}

pcm.!default {
    type pulse
}

ctl.!default {
    type pulse
}
-----------------------------------

Also, although with KMid I can play MIDI out through my attached external yamaha synth, I can't seem get MIDI in from it.

In /etc/modprobe.d/alsa-base I see:

------------------------------------
# autoloader aliases
install sound-slot-0 /sbin/modprobe snd-card-0
install sound-slot-1 /sbin/modprobe snd-card-1
install sound-slot-2 /sbin/modprobe snd-card-2
install sound-slot-3 /sbin/modprobe snd-card-3
install sound-slot-4 /sbin/modprobe snd-card-4
install sound-slot-5 /sbin/modprobe snd-card-5
install sound-slot-6 /sbin/modprobe snd-card-6
install sound-slot-7 /sbin/modprobe snd-card-7

# Cause optional modules to be loaded above generic modules
install snd /sbin/modprobe --ignore-install snd && { /sbin/modprobe --quiet snd-ioctl32 ; : ; }
install snd-pcm /sbin/modprobe --ignore-install snd-pcm && { /sbin/modprobe --quiet snd-pcm-oss ; : ; }
install snd-mixer /sbin/modprobe --ignore-install snd-mixer && { /sbin/modprobe --quiet snd-mixer-oss ; : ; }
install snd-seq /sbin/modprobe --ignore-install snd-seq && { /sbin/modprobe --quiet snd-seq-midi ; /sbin/modprobe --quiet snd-seq-oss ; : ; }
install snd-rawmidi /sbin/modprobe --ignore-install snd-rawmidi &&...

Read more...

Eduard Nicodei (omega2youall) wrote :

i had this problem also. I managed to fix by purging esound, esound-clients, pulsaaudio-module-gconf and pulseaudio. After that I gave the computer a hard reset and ... as if by miracle, IT WORKS.
Minor detail: after I've read through the comments here, I installed the programs mentioned above and after that flash videos had no sound, although mp3 and avis worked. So I thought to remove those programs and here we are, everything is working. I still get that error message but I really don't care since it works.

Dave Vree (hdave) wrote :

I too get the

Failed to construct test pipeline for 'gconfaudiosrc ! audioconvert ! audioresample ! gconfaudiosink profile=chat'

error when testing sound capture, but I can he the recording. I am using a USB webcam microphone on a Dell XMS M1210. I have tested the mic with Skype echo and it works.

I cannot run the sound recorder program as it throws an error telling me my sound settings are invalid.

Omegamormegil (omegamormegil) wrote :

I can duplicate the error message when testing sound capture in Gutsy, but my audio capture works great. Also, I tested this in Hardy Alpha 3, and it appears to be fixed as I can't reproduce the error message.

linuxandjava (krosks) wrote :

I was getting:

Failed to construct test pipeline for 'gconfaudiosrc ! audioconvert ! audioresample ! gconfaudiosink profile=chat'

The fix was really simple. I just double-clicked on the volume control in Gnome (the little speaker icon next to the system clock). There I enabled everything. Specifically analog mix. There were a lot of red X's where sound had disabled. I clicked off all the red x's. Now sound capture is working fine and the error message is gone.

asdir (dirkroettgers) wrote :

After todays update it magically worked (again - it worked under feisty before). I am guessing it had to to with the update of libpulse0.
Now I have the same old problem that I hear myself over my headphones, but I had that before and can live with it.

Pedro Villavicencio (pedro) wrote :

May someone else confirm that it's working with latest update? thanks.

Changed in gstreamer:
importance: Undecided → Low
status: New → Incomplete
Casey J Peter (caseyjp1) wrote :

Same error here. creative labs external live! usb. Sound works, but recording is no-go.

USB support should be PRIMARY anymore, and this is, well this is one of the reasons folks stay with bug #1. (On XP, the usb microphone just "works".)

ptoye (i-launchpad-ptoye-com) wrote :

 I have to agree.I'm a complete Linux (but not Unix) newbie. Having just acquired an old system box I thought I'd give Linux a play, so put Ubuntu Gutsy on it.

Then plugged in my USB sound card. Couldn't find anything about how to configure sound cards, so tried recording. Was told that "Your audio capture settings are invalid. Please correct them in the Multimedia settings". Gusty doesn't have Multimedia settings, so tried the Sound settings instead. Found the card, and changed the "chat" setting (and why "chat" - the last thing I want to record?) to point to it. Then clicked "Test" and got the Failed to construct pipeline...." message.

Poked around the conferences and fora and found that I had to enable ESD (whatever that is?) and found it was already enabled. Enabled everything in the volume control. Still the same message.

So can we please have some support for USB sound in both directions? Or at least some documentation? The Help file for Sound Preferences does not correspond with the software, and I cannot find any tutorial documentation on what the various components of the sound system work and fit together. (Get onto the Alsa-project site, and you're bombarded with techno-babble on the first page).

And, as Casey J Peter wrote, in Windows it just works first time.

Sorry if this sounds like a whinge, but I'm finding Linux VERY frustrating to work with.

As usual, your problem stems from the fact that you are trying to run
Linux on Windows hardware. Before buying any piece of hardware, first
make sure it works with Linux. Yes this is one more step you have to
go through that you normally don't have to with Windows, especially if
you are buying from the likes of bestbuy, etc. The same is true vice
versa. Windows won't run out-of-the-box on Linux hardware. Try running
XP on EEE PC or OLPC.

Obviously you will rarely find Linux support information on the
package, but you can find it either on the manufacturer's web site or
public user forums. For most of the hardware problems I've had in
Ubuntu I could find an answer on Ubuntu forums. Sometimes a piece of
hardware is rebranded, but internally runs the same chips and circuits
as many other similar products. Sometimes is helps to check the
technical specs of the product and make sure that the chipset is
supported by Linux. A good example is M-Audio. Their sound cards are
branded as M-Audio products, but they are based on envy24 chipset
which is supported in Linux.

I hope that this helps in your future Linux endeavours and that you
won't give up on Linux that easily. I didn't, and like you I had to
learn it the hard way. But now that Ubuntu works on all my home PCs
and laptops I enjoy the full power and flexibility of Linux at no cost
and no lock-ins, and listening to other people's Windows problems :)

Yegor

On Feb 10, 2008 6:24 AM, ptoye <email address hidden> wrote:
> I have to agree.I'm a complete Linux (but not Unix) newbie. Having just
> acquired an old system box I thought I'd give Linux a play, so put
> Ubuntu Gutsy on it.
>
> Then plugged in my USB sound card. Couldn't find anything about how to
> configure sound cards, so tried recording. Was told that "Your audio
> capture settings are invalid. Please correct them in the Multimedia
> settings". Gusty doesn't have Multimedia settings, so tried the Sound
> settings instead. Found the card, and changed the "chat" setting (and
> why "chat" - the last thing I want to record?) to point to it. Then
> clicked "Test" and got the Failed to construct pipeline...." message.
>
> Poked around the conferences and fora and found that I had to enable ESD
> (whatever that is?) and found it was already enabled. Enabled everything
> in the volume control. Still the same message.
>
> So can we please have some support for USB sound in both directions? Or
> at least some documentation? The Help file for Sound Preferences does
> not correspond with the software, and I cannot find any tutorial
> documentation on what the various components of the sound system work
> and fit together. (Get onto the Alsa-project site, and you're bombarded
> with techno-babble on the first page).
>
> And, as Casey J Peter wrote, in Windows it just works first time.
>
> Sorry if this sounds like a whinge, but I'm finding Linux VERY
> frustrating to work with.
>
>
> --
> [gutsy] no sound: Failed to construct test pipeline in sound recording
> https://bugs.launchpad.net/bugs/131711
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Download full text (3.4 KiB)

One more point: The Ubuntu teamers are working very hard to fix any
bugs, so this problem might disappear very quickly as irt did with me by
the regular updates provided automatically. My audio system works fine now.

uga schrieb:
> As usual, your problem stems from the fact that you are trying to run
> Linux on Windows hardware. Before buying any piece of hardware, first
> make sure it works with Linux. Yes this is one more step you have to
> go through that you normally don't have to with Windows, especially if
> you are buying from the likes of bestbuy, etc. The same is true vice
> versa. Windows won't run out-of-the-box on Linux hardware. Try running
> XP on EEE PC or OLPC.
>
> Obviously you will rarely find Linux support information on the
> package, but you can find it either on the manufacturer's web site or
> public user forums. For most of the hardware problems I've had in
> Ubuntu I could find an answer on Ubuntu forums. Sometimes a piece of
> hardware is rebranded, but internally runs the same chips and circuits
> as many other similar products. Sometimes is helps to check the
> technical specs of the product and make sure that the chipset is
> supported by Linux. A good example is M-Audio. Their sound cards are
> branded as M-Audio products, but they are based on envy24 chipset
> which is supported in Linux.
>
> I hope that this helps in your future Linux endeavours and that you
> won't give up on Linux that easily. I didn't, and like you I had to
> learn it the hard way. But now that Ubuntu works on all my home PCs
> and laptops I enjoy the full power and flexibility of Linux at no cost
> and no lock-ins, and listening to other people's Windows problems :)
>
> Yegor
>
>
> On Feb 10, 2008 6:24 AM, ptoye <email address hidden> wrote:
>> I have to agree.I'm a complete Linux (but not Unix) newbie. Having just
>> acquired an old system box I thought I'd give Linux a play, so put
>> Ubuntu Gutsy on it.
>>
>> Then plugged in my USB sound card. Couldn't find anything about how to
>> configure sound cards, so tried recording. Was told that "Your audio
>> capture settings are invalid. Please correct them in the Multimedia
>> settings". Gusty doesn't have Multimedia settings, so tried the Sound
>> settings instead. Found the card, and changed the "chat" setting (and
>> why "chat" - the last thing I want to record?) to point to it. Then
>> clicked "Test" and got the Failed to construct pipeline...." message.
>>
>> Poked around the conferences and fora and found that I had to enable ESD
>> (whatever that is?) and found it was already enabled. Enabled everything
>> in the volume control. Still the same message.
>>
>> So can we please have some support for USB sound in both directions? Or
>> at least some documentation? The Help file for Sound Preferences does
>> not correspond with the software, and I cannot find any tutorial
>> documentation on what the various components of the sound system work
>> and fit together. (Get onto the Alsa-project site, and you're bombarded
>> with techno-babble on the first page).
>>
>> And, as Casey J Peter wrote, in Windows it just works first time.
>>
>> Sorry if this sounds like a whinge, but I'm findin...

Read more...

Download full text (4.9 KiB)

If you need special programs, which don't run under linux, like
speech-to-text programs or professional film-cut or the like, you have
the choice to install vmware-server (which is free) or another
virtualization program, which allows you to run windows safely under
linux. You may install vmware-server via Synaptic.
You should activate the software resources: main, universe, restricted,
multiverse and add the medibuntu packages provided by Canonical to your
software resources. You find them here including Howto:
> http://www.medibuntu.org/
In my case, speechrecognition as well as soundproblems I had in Gutsy in
the beginning, I had not in XP running in vmware. Vmware functions like
another program in Ubuntu. So I used this instead as well as for Dragon
Naturally speaking, which only runs under windows (Speech to text
program) and switch between the windows.
Good tutorials with screenshots you get here: >
http://www.howtoforge.com/installing-vmware-server-1.0.4-on-ubuntu-7.10

Hope it helps - I don't want to miss my ubuntu ;-) though it needs some
time to get familiar and understand what to do and what better not (One
more Tipp: Fingers off from Automatix - it seems to be a smart program,
but causes problems)
There are so many excellent functions and programs provided by the
ubuntu opensource movement and one has full control and literally no
virus problems and its always and fast getting better and even more
comfortable ...
Toby

Toby schrieb:
> One more point: The Ubuntu teamers are working very hard to fix any
> bugs, so this problem might disappear very quickly as irt did with me by
> the regular updates provided automatically. My audio system works fine now.
>
> uga schrieb:
>> As usual, your problem stems from the fact that you are trying to run
>> Linux on Windows hardware. Before buying any piece of hardware, first
>> make sure it works with Linux. Yes this is one more step you have to
>> go through that you normally don't have to with Windows, especially if
>> you are buying from the likes of bestbuy, etc. The same is true vice
>> versa. Windows won't run out-of-the-box on Linux hardware. Try running
>> XP on EEE PC or OLPC.
>>
>> Obviously you will rarely find Linux support information on the
>> package, but you can find it either on the manufacturer's web site or
>> public user forums. For most of the hardware problems I've had in
>> Ubuntu I could find an answer on Ubuntu forums. Sometimes a piece of
>> hardware is rebranded, but internally runs the same chips and circuits
>> as many other similar products. Sometimes is helps to check the
>> technical specs of the product and make sure that the chipset is
>> supported by Linux. A good example is M-Audio. Their sound cards are
>> branded as M-Audio products, but they are based on envy24 chipset
>> which is supported in Linux.
>>
>> I hope that this helps in your future Linux endeavours and that you
>> won't give up on Linux that easily. I didn't, and like you I had to
>> learn it the hard way. But now that Ubuntu works on all my home PCs
>> and laptops I enjoy the full power and flexibility of Linux at no cost
>> and no lock-ins, and listening to other people's Windows problems ...

Read more...

muhalifsirin (alperense) wrote :

The same problem here

I tried three different devices, I even bought a new soundcard, but mic does not work at all!

Omegamormegil (omegamormegil) wrote :

Hardy is going to be finished in two months, and it would be good if everyone still experiencing this bug in Gutsy would burn a Hardy alpha 6 livecd, boot it up, and test your sound problems to see if they've been resolved. Report your findings back here.

Even though I reported perfect sound capture in Gutsy above, I was baffled that a new "Skype Ready" headset I purchased would not record my voice on my Dell Inspiron 1300 no matter what I tried, while another microphone using the same microphone jack and settings worked great. Finally, I tried running the Hardy alpha 4 livecd on my laptop, and in Hardy my Skype headset works perfectly!

You can get the Hardy alpha 6 iso here: http://cdimage.ubuntu.com/releases/hardy/alpha-6/

Angus Carr (angus-carr) wrote :

Using the following sound card:
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)

Fresh Hardy Heron Beta install, I am using the headphone and mic jack on the front of the system to use my conventional headset.

The machine is a Gateway CX2724.

The behaviour shown is that any application which tries to record from any microphone immediately hangs and is unable to continue. I usually xkill them after a few minutes.

The same behaviour is shown under gOS (an ubuntu derivative), and was shown under Feisty. This is a significant error for me and is preventing this laptop from being full-time ubuntu.

I am happy to participate in any bug triage and investigation required.

Celso Xavier (celsoxavier) wrote :

try this tutorial, it works for me(hp nx7400) (for red hat like change apt-get by urpmi )

Changed in gstreamer:
status: New → Invalid
Hew (hew) wrote :

gstreamer is not the right sourcepackage, removing.

Does this problem still occur with the latest Ubuntu release?

affects: gstreamer (Ubuntu) → ubuntu

I will check. The laptop in question is not presently running ubuntu, but I
will boot a live cd to check.

On Sun, Jun 14, 2009 at 1:58 AM, Hew McLachlan <email address hidden>wrote:

> gstreamer is not the right sourcepackage, removing.
>
> Does this problem still occur with the latest Ubuntu release?
>
> ** Package changed: gstreamer (Ubuntu) => ubuntu
>
> --
> [gutsy] no sound: Failed to construct test pipeline in sound recording
> https://bugs.launchpad.net/bugs/131711
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Przemek K. (azrael) wrote :

Gutsy is EOL now.
Can anyone confirm if this bug still appears in latest Ubuntu release? (9.10 Karmic)

Changed in baltix:
status: New → Incomplete
Angus Carr (angus-carr) wrote :

I am now able to update the laptop I originally reported over. The
upgrade is running right now. I will report ASAP.

I needed a standby OS for the other users... Flash games :-)

2009/12/17 Przemysław Kulczycki <email address hidden>:
> Gutsy is EOL now.
> Can anyone confirm if this bug still appears in latest Ubuntu release? (9.10 Karmic)
>
> ** Changed in: baltix
>       Status: New => Incomplete
>
> --
> [gutsy] no sound: Failed to construct test pipeline in sound recording
> https://bugs.launchpad.net/bugs/131711
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Przemek K. (azrael) wrote :

Angus: did your upgrade work?
Can anyone reproduce this bug on any currently supported Ubuntu release? (9.04 or later)

Changed in gstreamer:
importance: Unknown → Critical
status: Invalid → Unknown

I haven't been able to find the time to run the upgrade or anything like it.
I will, but not right now. I should just give up and use a live cd...

I just tested out the Meerkat Beta on a CD on this machine. The behaviour
from the live CD is still not what I want, but at least it has changed :-).

I boot the live cd, then loaded the sound recorder app from the menus. The
computer played the sounds of the startup correctly. When I tried to
"record" from the sound recorder, it recorded silence. The interface
remained responsive, which is new.

After that, I am unable to play any sound. This is consistent with prior
behaviour.

If you want specific log entries, I can provide them. Just name the files.

Thanks,
Angus Carr.

2010/8/20 Przemysław Kulczycki <email address hidden>

> Angus: did your upgrade work?
> Can anyone reproduce this bug on any currently supported Ubuntu release?
> (9.04 or later)
>
> --
> [gutsy] no sound: Failed to construct test pipeline in sound recording
> https://bugs.launchpad.net/bugs/131711
> You received this bug notification because you are a direct subscriber
> of the bug.
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.